# -*- makefile -*-
#-------------------------------------------------------------------------
#       GNU ACE Workspace
#
# GNUACEWorkspaceCreator.pm,v 1.39 2006/06/06 17:14:55 elliott_c Exp
#
# This file was generated by MPC.  Any changes made directly to
# this file will be lost the next time it is generated.
#
# MPC Command:
# bin/mwc.pl -exclude TAO/TAO_*.mwc,TAO/CIAO/CIAO_*.mwc -recurse -hierarchy -relative ACE_ROOT=/tmp/ACE_wrappers_stage-15508/ACE_wrappers
#
#-------------------------------------------------------------------------
MAKEFILE = GNUmakefile

ifeq ($(findstring k,$(MAKEFLAGS)),k)
  KEEP_GOING = -
endif

include $(ACE_ROOT)/include/makeinclude/macros.GNU

all: Quoter_RT_Event_Service_Idl Quoter_RT_Event_Service_Server Quoter_RT_Event_Service_Client
REMAINING_TARGETS := $(subst all, , $(TARGETS_NESTED:.nested=)) $(CUSTOM_TARGETS)

$(REMAINING_TARGETS):
	@$(MAKE) -f GNUmakefile.Quoter_RT_Event_Service_Idl $(@)
	@$(MAKE) -f GNUmakefile.Quoter_RT_Event_Service_Server $(@)
	@$(MAKE) -f GNUmakefile.Quoter_RT_Event_Service_Client $(@)

.PHONY: Quoter_RT_Event_Service_Idl
Quoter_RT_Event_Service_Idl:
	@$(MAKE) -f GNUmakefile.Quoter_RT_Event_Service_Idl all

.PHONY: Quoter_RT_Event_Service_Server
Quoter_RT_Event_Service_Server: Quoter_RT_Event_Service_Idl
	@$(MAKE) -f GNUmakefile.Quoter_RT_Event_Service_Server all

.PHONY: Quoter_RT_Event_Service_Client
Quoter_RT_Event_Service_Client: Quoter_RT_Event_Service_Idl Quoter_RT_Event_Service_Server
	@$(MAKE) -f GNUmakefile.Quoter_RT_Event_Service_Client all

project_name_list:
	@echo Quoter_RT_Event_Service_Client
	@echo Quoter_RT_Event_Service_Idl
	@echo Quoter_RT_Event_Service_Server
